## Word Order

L'ewa is normally a Subject-Verb-Object (SVO) language like English. However,
the word order of a sentence can be changed if it is important to specify some
part of the sentence in particular.

I haven't completely finalized the particles for this, but I'd like to use `ka` to
denote the subject, `ke` to denote the verb and `ku` to denote the object. For
example if the input sentence is something like:

```
/mi/ /mad.sa/ /lo/ /spa.lo/
mi   madsa    lo   spalo
 I   eat      an   apple
```

You could emphasize the eating with:

```
/kɛ/ /mad.sa/ /ka/ /mi/ /lo/ /spa.lo/
[ke] madsa    ka   mi   lo   spalo
V    eat      S    I    an   apple
```

(the `ke` is in square brackets here because it is technically not required, but
it can make more sense to be explicit in some cases)

or the apple with:

```
/ku/ /lo/ /spalo/ /kɛ/ /mad.sa/ /mi
ku   lo   spalo   ke   madsa    mi
O    an   apple   V    eat      I
```

L'ewa doesn't really have adjectives or adverbs in the normal indo-european
sense, but it does have a way to analytically combine meanings together. For
example if `qa'te` is the word for `is fast/quick/rapid in rate`, then saying
you are quickly eating (or wolfing food down) would be something like:

```
/qaʔ.tɛ/          /mad.sa/
qa'te             madsa
is fast [kind of] eat
```

These are assumed to be metaphorical by default. It's not always clear what
someone would mean by a fast kind of language (would they be referencing
[Speedtalk][speedtalk]?)

[speedtalk]: https://en.wikipedia.org/wiki/Speedtalk

L'ewa doesn't always require a subject or object if it can be figured out from
context. You can just say "rain" instead of "it's raining". By default, the
first word in a sentence without an article is the verb. The ka/ke/ku series
needs to be used if the word order deviates from Subject-Verb-Object (it
functions a lot like the selma'o FA from Lojban).
