## Word Distinctions

L'ewa is intended to be a logical language. One of the side effects of L'ewa
being a logical language is that each word should have as minimal and exact of a
meaning/function as possible. English has lots of words that cover large
semantic spaces (like go, set, run, take, get, turn, good, etc.) without much of a
pattern to it. I don't want this in L'ewa. 

Let's take the word "good" as an example. Off the top of my head, good can mean
any of the following things:

- beneficial
- aesthetically pleasing
- favorful taste
- saintly (coincidentally this is the source of the idiom "God is good")
- healthy

I'm fairly sure there are more "senses" of the word good, but let's break these
into their own words:

| L'ewa | Definition                         |
|-------|------------------------------------|
| firgu | is beneficial/nice to              |
| n'ixu | is aesthetically pleasing to       |
| flawo | is tasty/has a pleasant flavor to  |
| spiro | is saintly/holy/morally good to    |
| qanro | is healthy/fit/well/in good health |

Each of these words has a very distinct and fine-grained meaning, even though
the range is a bit larger than it would be in English. These words also differ
from a lot of the other words in the L'ewa dictionary so far because they can
take an object. Most of the words so far are adjective-like because it doesn't
make sense for there to be an object attached to the color blue.

By default, if a word that can take an object doesn't have one, it's assumed to
be obvious from context. For example, consider the following set of sentences:

```
mi qa madsa lo spalo. ti flawo!

I am eating an apple. It's delicious!
```

I am working at creating more words using a [Swaedish list][swaedish207].

[swaedish207]: https://tulpa.dev/cadey/lewa/src/branch/master/words/swaedish207.csv
