#!/bin/sh

set -e

FILES='
intro/index.md
  intro/diary_language.md
  intro/CHANGELOG.md

01_phonology/index.md
  01_phonology/phonology.md
  01_phonology/romanization.md
  01_phonology/phonotactics.md
  01_phonology/writing.md

02_typology/index.md
  02_typology/word_order.md
  02_typology/typology.md

03_nouns_verbs/index.md
  03_nouns_verbs/other_noun_things.md
  03_nouns_verbs/pronouns.md
  03_nouns_verbs/numbers.md
  03_nouns_verbs/negation.md
  03_nouns_verbs/verb-forms.md
  03_nouns_verbs/modality.md
  03_nouns_verbs/explicitly-ending-noun-phrases.md
  03_nouns_verbs/colors.md

04_sentence/index.md
  04_sentence/independent-clause-structure.md
  04_sentence/questions.md

05_lexicon/index.md
  05_lexicon/distinctions.md
  05_lexicon/family.md
  05_lexicon/idioms.md

dictionary.md
'

set -x
pandoc -o ../book/lewa.epub --epub-chapter-level=2 --resource-path=. title.md $FILES
pandoc -o ../book/lewa.pdf --include-in-header sectionpagebreak.tex --variable=subparagraph --toc --toc-depth=2 --pdf-engine xelatex --resource-path=. title.md $FILES

