# Introduction

I've been curious about how language works for a very long time. This curiosity
has lead me down many fascinating rabbit holes, but for a long time I have
either been cribbing off of other people's work or studying natural languages
that don't have a cohesive plan or core to them. [Constructed
Languages][conlangs] (or conlangs as I will probably be calling them from here
on out) are a simpler model of this. You might be familiar with
[Klingon][tlhnganhol] from the Star Trek series, the [various forms of
Elvish][elvish] as described by J. R. R. Tolkien or [Dothraki][dothraki] from
Game of Thrones. This series will show an example of how one of those kinds of
languages are created. 

[conlangs]: https://en.wikipedia.org/wiki/Constructed_language
[tlhnganhol]: https://en.wikipedia.org/wiki/Klingon_language
[elvish]: https://en.wikipedia.org/wiki/Elvish_languages
[dothraki]: https://en.wikipedia.org/wiki/Dothraki_language

Recently a challenge came up on [/r/conlangs][rconlangs] called
[ReConLangMo][reconlangmo] and I've decided to take a stab at this and flesh
this out into a [personal language][perslang].

[rconlangs]: https://www.reddit.com/r/conlangs/
[reconlangmo]: https://www.reddit.com/r/conlangs/comments/gbgvu0/reconlangmo_2020/
[perslang]: https://en.wikipedia.org/wiki/Artistic_language#Personal_languages

The language I am going to create will be called L'ewa (⁄l.ʔɛ.wa⁄, also
romanized `lewa` for filesystems). This word is identical in English and in L'ewa.
It means "is a language". The name came to me in a shower a while ago and I'm
not entirely sure where it came from.

This language is being designed as a personal language to help me keep a diary
(more on that later) and to act as a testbed for writing a computational
knowledge engine, much like IBM's Watson. I do not expect anyone else to use
this language. I may pull this language into fiction (if that ever gets off the
ground) or into other projects as it makes sense.

Some of the high level things I want to try in this language are ways to make me
think differently. I'm following the weak form of the [Sapir-Whorf
hypothesis][sapirwhorf] by this logic. I want to see what would happen if I give
myself a tool that I can use to help myself think in different ways. Other
features I plan to include are:

[sapirwhorf]: https://en.wikipedia.org/wiki/Linguistic_relativity

- A [seximal][seximal] number system
- A predicate-argument system similar to [Lojban][lojban]
- Nounlessness (only having verbs for content words) like [Salishan][salishan]
  languages
- An [a-priori][apriori] (or made up) vocabulary
- Grammatical markers for the identity of the thinker of a sentence/phrase/word
- Make each grammatical feature and word logical, or working in one way only
- Typeable with standard QWERTY en-US keyboards
- A decorative script that I'll turn into a font

[seximal]: https://www.seximal.net
[lojban]: https://lojban.pw/cll/uncll-1.2.6/xhtml_section_chunks/chapter-tour.html#section-bridi
[salishan]: https://en.wikipedia.org/wiki/Salishan_languages
[apriori]: https://en.wikipedia.org/wiki/Constructed_language#A_priori_and_a_posteriori_languages

