let ContentWord = ../types/ContentWord.dhall

let ParticleWord = ../types/ParticleWord.dhall

let showContent = ./showContentWord.dhall

let showParticle = ./showParticleWord.dhall

let dictionary = ../dictionary.dhall

let Prelude = ../Prelude.dhall

let contentWords = Prelude.Text.concatMapSep "\n" ContentWord.Type showContent

let particleWords =
      Prelude.Text.concatMapSep "\n" ParticleWord.Type showParticle

in  ''
    # Dictionary

    This chapter of the book will hold a list of all of the words in L'ewa as the time of this book being rendered. This may not be the most up-to-date list of words. See (TODO(Mai): ko finti le vlaste kibystu) for more words.

    ## Root Words

    | L'ewa | gloss | English |
    |:----- |:----- |:------- |
    ${contentWords dictionary.rootWords}

    ## Particles

    | L'ewa | family | gloss | English |
    |:----- |:------ |:----- |:------- |
    ${particleWords dictionary.particles}
    ''
